Modify

Opened 6 months ago

Last modified 6 months ago

#19764 new enhancement

Nice message about closing already closed note

Reported by: mkoniecz Owned by: team
Priority: normal Milestone:
Component: Core notes Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. Create note
  2. Download note with JOSM
  3. Close note on OSM website
  4. Close note in JOSM
  5. Upload nodes from JOSM

What is the expected result?

JOSM either reports nothing (as note was closed anyway) or reports situation in a clear nonscary way.

What happens instead?

User gets a scary message (message with an error icon and "nodes failed to upload title", direct dump of error message including mentions of 409 error code and so on)

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-08-07 18:58:40 +0200 (Fri, 07 Aug 2020)
Revision:16853
Build-Date:2020-08-08 01:30:49
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (16853 en_GB) Linux Ubuntu 20.04.1 LTS
Memory Usage: 306 MB / 976 MB (111 MB allocated, but free)
Java version: 11.0.8+10-post-Ubuntu-0ubuntu120.04, Ubuntu, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 1366x768 (scaling 1.0x1.0)
Maximum Screen Size: 1366x768
Best cursor sizes: 16x16 -> 16x16, 32x32 -> 32x32
Java package: openjdk-11-jre:amd64-11.0.8+10-0ubuntu1~20.04
Java ATK Wrapper package: libatk-wrapper-java:all-0.37.1-1
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:-
Dataset consistency test: No problems found

Plugins:
+ buildings_tools (35500)
+ measurement (35405)
+ reverter (35499)
+ todo (30306)

Last errors/warnings:
- E: Conflict - <html>The server reported that it has detected a conflict.<br>Error message (untranslated):<br>The note 2337951 was closed at 2020-09-06 19:09:04 UTC</html>
- E: Error header: The note 2337951 was closed at 2020-09-06 19:09:04 UTC
- E: Failed to upload note to server: 2 337 951
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=409, Error Header=<The note 2337951 was closed at 2020-09-06 19:09:04 UTC>
- E: Error header: The note 2337950 was closed at 2020-09-06 19:09:10 UTC
- E: Failed to upload note to server: 2 337 950
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=409, Error Header=<The note 2337950 was closed at 2020-09-06 19:09:10 UTC>
- E: Notes failed to upload: Note 2 337 951 failed: ResponseCode=409, Error Header=<The note 2337951 was closed at 2020-09-06 19:09:04 UTC>
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=409, Error Header=<The note 2337951 was closed at 2020-09-06 19:09:04 UTC>
- E: Conflict - <html>The server reported that it has detected a conflict.<br>Error message (untranslated):<br>The note 2337951 was closed at 2020-09-06 19:09:04 UTC</html>

Attachments (0)

Change History (1)

comment:1 Changed 6 months ago by simon04

Component: CoreCore notes

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set.
to The owner will be changed from team to the specified user.
The owner will change to mkoniecz
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket
The owner will be changed from team to anonymous.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.